Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# EggPolysetMaker Class Reference

A specialization on EggBinMaker for making polysets that share the same basic rendering characteristic. More...

Inheritance diagram for EggPolysetMaker:

List of all members.

## Public Types
enum | BinNumber { BNNone = 0, BNPolyset = 1 }
enum | Properties { PHasTexture = 1, PTexture = 2, PHasMaterial = 4, PMaterial = 8, PHasPolyColor = 16, PPolyColor = 32, PHasPolyNormal = 64, PHasVertexNormal = 128, PHasVertexColor = 256, PBface = 512 }
## Public Member Functions
| EggPolysetMaker ()
| setProperties (int properties)
| Sets the set of properties that determines which polygons are allowed to be grouped together into a single polyset.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A specialization on EggBinMaker for making polysets that share the same basic rendering characteristic.

This really just defines the example functions described in the leading comment to EggBinMaker.

It makes some common assumptions about how polysets should be grouped; if these are not sufficient, you can always rederive your own further specialization of this class.

## Member Enumeration Documentation

enum BinNumber

Enumerator:

  BNNone |
  BNPolyset |

enum Properties

Enumerator:

  PHasTexture |
  PTexture |
  PHasMaterial |
  PMaterial |
  PHasPolyColor |
  PPolyColor |
  PHasPolyNormal |
  PHasVertexNormal |
  PHasVertexColor |
  PBface |

## Constructor & Destructor Documentation

EggPolysetMaker | ( |  | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggBinMaker.

setProperties | ( | int | properties | ) |

Sets the set of properties that determines which polygons are allowed to be grouped together into a single polyset.

This is the bitwise 'or' of all the properties that matter. If this is 0, all polygons (within a given group) will be lumped into a common polyset regardless of their properties.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties